#ifndef		DEFS_PMAIL_H
#define		DEFS_PMAIL_H



#define		RCFILE		"~/.pmailrc" 
#define		HOMEBOX		"~/Mail/mbox"


#define     PMAILVER        "0.9.3"


#define		DEF_POP3			"pop3"
#define		DEF_SMBOX			"sbox"
#define		DEF_TEMPLATE		"templ"
#define		DEF_VERSION			"version"
#define		DEF_HELP			"help"


#define		GETMAIL			0
#define		SENDMAIL		1
#define		TEMPLATE		2
#define		STREAM			3
#define		HELP			4
#define		VERSION			5
#define		POP3_DL			6
#define		POP3_CK			7
#define		POP3_FETC		8
#define		POP3_TOP		9
#define		POP3_RM			10
#define		POP3_NONE		11


#define     COMMENTDELM     '#'



#define		DEF_YES				"yes"
#define		DEF_NO				"no"


#define		YES				1
#define		NO				0

#define		OK				0
#define		FAILURE			-1
#define		NOSMTPHOST		-2
#define		LOWMEMORY		-6
#define		OPENFILERR		-7
#define		CREATEFAIL		-8
#define		MISANSWER		-9
#define		LOGIN_FAIL		-10


#define		OVER			0
#define		CONTINUED		1


#define		E_NORCFILE		1
#define		E_INVITEM		2
#define		E_INT			3

#define		SVRBUF			512
#define		HEADEREXT		64




extern int  errno;

  

#define		pfclose(ptr)  { \
	if ((ptr) != NULL)  fclose(ptr); \
	(ptr) = NULL; \
}

#define	chop(buf)			((buf)[strlen(buf)-1] = '\0')
#define GotoLineEnd(p)  	((p) + strlen(p) - 1)
 

/* see main.c */

char *getAltHost();
char *getAltMailbox();
int defaultPop3Action();
int isVerbose();
int timeout();
int *isSetExist();
int isInSet(int obj);
void ReleaseResource();


/* see stream.c */


/* see misc.c */

int isblankline(char *buf);
int strnicmp(char *sour, char *dest, int leng);
void getAbsolutePath(char *sour, char *dest);
char *emailAddr(char *faddr);
char *timenow();
int availOptionLine(char *buf);
char *SkipLeadSps(char *p);
char *EatSpsFromTail(char *p);
void conPrintf(char *fmt, ...);


/* see progress.c */

void dotToEnd();
void dotIllustrate(int cur);
void dotListInit(int expectLength, int dotLength);


/* see debug.c */

void dbgLevelIs(char *p);
void dbgMsgSendInto(char *s);
void logFileLimitedIn(char *p);
void logFileNameIs(char *s);

#ifdef	DEBUG
	void  dbgVarietyExposure();
#endif

void dbgInit();
void dbgClose();

void logPrintf(char *fmt, ... );
void dbgPrintf(char *fmt, ... );
void dbgPrintf2(int level, char *fmt, ... );
	
void errReport(int flag, char *s);


#endif
