
#ifndef		_POP3_H
#define		_POP3_H


#define     DEF_SIMPLE          "simple"
#define     DEF_COMPLEX         "complex"
#define     DEF_SMART           "smart"
#define     DEF_BODY            "body"

#define     SIMPLETOP       0
#define     COMPLEXTOP      1
#define     SMARTOP         2
#define		PARTBODY		3
 
#define     POP3_PORT       110


struct      _POP3_SERVER     {
	
	char    *hostname;
	char    *id;
	char    *pass;
	char    *mailbox;
	int     action;
	struct  _POP3_SERVER    *next;
	
	int		socket;
	FILE	*fp;
	char	*timeStamp;
	int		*mailList;
	int		mailnum;
	int 	mailLen;
};

typedef     struct _POP3_SERVER     POP3;
 

void pop3main();
void popReleaseAll();
void popSetHost(char *s);
void popListTopLines(char *s);
void popTopMethod(char *s);
void popSizeLimitation(char *s);
void popLoginDelay(char *s);

#ifdef  DEBUG
void popVarietyExposure();
#endif
  

#endif

